INTERFACE
SUBROUTINE STORE_VDFOUT(KJ, KJREF,KSTART,KSTEP,&
 & KIDIA,KFDIA,KLON,KLEV,KLEVS,KTILES,KSTGLO,&
 & PWSA,PTSA, PAZ0M,PAZ0H,&
 & PVDIS,PVDISG, PDISSGW, PFTLHEV, PFTLHSB, PFWSB,PBIR,PVAR,&
 & PUCFL,PVCFL,PTCFL,PDCFL,PQCFL,PZINV,PBLH,KHPBLN,&
 & PU10N,PV10N,PUST,&
 & PFRSOTI,PEVAPSNW,PGUST, PWUAVG,LDNODECP,KPBLTYPE,&
 & PTENT,PTENQ,PTENL,PTENI,PTENA,PTENU,PTENV,&
 & PTLE1, PTL, PT,PQ,&
 & PUSTRTI,PVSTRTI,PAHFSTI,PEVAPTI,PTSKTI,&
 & PDIFTS,PDIFTQ,PDIFTL,PDIFTI,PSTRTU,PSTRTV,PTOFDU,PTOFDV,&
 & PSTRDU,PSTRDV,PKH_VDF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KJ
INTEGER(KIND=JPIM),INTENT(IN) :: KJREF
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PWSA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSA(KLON,KLEVS)
INTEGER(KIND=JPIM),INTENT(IN) :: KHPBLN(KLON),KPBLTYPE(KLON)
LOGICAL,INTENT(IN) :: LDNODECP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAZ0M (KLON),PAZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDISG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDISSGW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFTLHEV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFTLHSB(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFWSB(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBIR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVAR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUCFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTCFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDCFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PZINV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBLH(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PU10N(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PV10N(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PUST(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSOTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVAPSNW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGUST(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWUAVG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFSTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVAPTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSKTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOFDU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOFDV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKH_VDF(KLON,KLEV)
END SUBROUTINE STORE_VDFOUT
END INTERFACE
